/*
  Copyright (C) 2013 Harry

 This file is part of spacewar.

 spacewar is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation, either version 3 of the License, or
 (at your option) any later version.

 spacewar is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with spacewar.  If not, see <http://www.gnu.org/licenses/>.
*/

#include "weaver/weaver.h"
#include "game.h"

int main(int argc, char **argv){
  awake_the_weaver(); // Initializing Weaver API
  initialize_star();
  initialize_ships(2);
  initialize_cameras();
  hide_cursor();

  // Main loop
  for(;;){
    get_input();
    erase_ships();
    if(keyboard[ESC]){
      break;
    }
    // Player 1 moves
    if(keyboard[LEFT])
      rotate_ship(0, LEFT);
    if(keyboard[RIGHT])
      rotate_ship(0, RIGHT);
    if(keyboard[UP])
      propulse_ship(0);

    // Player 2 moves
    if(keyboard[A])
      rotate_ship(1, LEFT);
    if(keyboard[D])
      rotate_ship(1, RIGHT);
    if(keyboard[W])
      propulse_ship(1);

    update_star();
    update_ships();
    film_ships();

    weaver_rest(10000000);
  }

  destroy_star();
  destroy_ships();
  may_the_weaver_sleep();
  return 0;
}
